Получить banking-ленту операций
GET
/api/v1/feed
const url = 'https://core.example.com/api/v1/feed';const options = {method: 'GET', headers: {'session-token': '<session-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://core.example.com/api/v1/feed \ --header 'session-token: <session-token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела « Parameters »Query Parameters
Заголовок раздела «Query Parameters»segregated_account_id
integer
ID business account, к которому имеет доступ текущий пользователь
page
integer
per_page
integer
status
string
f_type
string
global
Banking-клиенты используют 2 или 3
integer
filters
object
amount_from
number format: double
amount_to
number format: double
from_date
string format: date-time
to_date
string format: date-time
currency
string
account_id
integer
account_number
string
outer_id
string
order
string
with_only_approved_cashin
boolean
Responses
Заголовок раздела « Responses »Лента операций
Media typeapplication/json
object
success
required
boolean
status
required
integer
feed
Array<object>
object
id
integer
type
string
fType
integer
status
string
amount
number format: double
currency
string
target_amount
number format: double
target_currency
string
description
string
direction
string
api_payment_token
string
commission_amount
number format: double
created_at
string format: date-time
updated_at
string format: date-time
key
additional properties
any
page
integer
per_page
integer
total
integer
Example
{ "success": true, "status": 200, "feed": [ { "direction": "in" } ]}Ошибка авторизации, валидации или бизнес-правила
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}